<!-- Use this file to provide workspace-specific custom instructions to Copilot. For more details, visit https://code.visualstudio.com/docs/copilot/copilot-customization#_use-a-githubcopilotinstructionsmd-file -->

# Webhook Guardian - Security Library Development

This is a Python security library project focused on webhook validation and protection. When working on this project:

## Security Focus
- Always prioritize security best practices
- Consider common attack vectors like replay attacks, signature spoofing, and injection attacks
- Implement proper input validation and sanitization
- Use secure cryptographic functions from the `cryptography` library

## Code Quality Standards
- Follow PEP 8 style guidelines
- Write comprehensive docstrings for all public functions
- Include type hints for better code clarity
- Add detailed error messages for debugging

## Testing Requirements
- Write tests for all security-critical functions
- Include both positive and negative test cases
- Test edge cases and potential attack scenarios
- Aim for high test coverage

## Documentation
- Provide clear examples for beginners
- Explain security concepts in simple terms
- Include both basic and advanced usage patterns
- Document potential security implications

## Dependencies
- Use minimal, well-maintained dependencies
- Prefer standard library functions when possible
- Validate all external inputs
- Handle errors gracefully
